Create an account

​

Create a new account

Body·

required
application/json

Request to create an Account

  • The business type.

    values
    companyindividualnon_profit
  • ISO 4217 currency codes (alpha3) supported for payments

  • Company fields accepted when creating or updating an account.

    Properties: 12
  • Details on the account's acceptance of the Paypercut Services Agreement.

    Properties: 4
  • Properties: 11
  • Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

  • The connected account type.

    values
    • custom

      The platform controls the connected account's integration and user experience.

    • express

      The account uses a Paypercut-assisted connected-account experience.

    • standard

      The account has direct access to its Paypercut account experience.

  • Creates the account in live mode when true, or test mode when false.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/accounts
curl https://api.paypercut.io/v1/accounts \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "business_type": "company",
  "country": "",
  "default_currency": "EUR",
  "details_submitted": true,
  "email": "",
  "company": {
    "address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "directors_provided": true,
    "executives_provided": true,
    "name": null,
    "owners_provided": true,
    "phone": null,
    "registration_number": null,
    "registration_date": {
      "day": 1,
      "month": 1,
      "year": 1000
    },
    "structure": "multi_member_llc",
    "tax_id": null,
    "tax_id_registrar": null,
    "vat_id": null
  },
  "tos_acceptance": {
    "date": "",
    "ip": "",
    "user_agent": "",
    "service_agreement": ""
  },
  "business_profile": {
    "name": null,
    "support_email": null,
    "support_phone": null,
    "support_url": null,
    "mcc": 5411,
    "url": "https://www.example.com",
    "annual_revenue": {
      "amount": 1,
      "currency": "EUR",
      "fiscal_year_end": ""
    },
    "support_address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "monthly_estimated_revenue": {
      "amount": 1,
      "currency": "EUR"
    },
    "product_description": null,
    "estimated_worker_count": null
  },
  "metadata": {
    "additionalProperty": ""
  },
  "type": "custom",
  "livemode": true
}'
{
  "id": "01KAKB228G3K4E98NFVE2MGHW4",
  "created": "2026-10-02T06:37:26.639Z",
  "payments_enabled": true,
  "payouts_enabled": true,
  "external_accounts": {
    "items": [
      {
        "default_for_currency": true,
        "metadata": {
          "additionalProperty": "string"
        },
        "external_account": {
          "id": "ba_123",
          "object": "bank_account",
          "country": "DE",
          "currency": "EUR",
          "bank_name": "Example Bank",
          "holder_name": "Acme GmbH",
          "holder_type": "individual",
          "account_number": "**** 5678",
          "routing_number": "BNBGBGSF",
          "last4": "5678"
        }
      }
    ],
    "last_key": null
  },
  "type": "standard",
  "country": "GB",
  "default_currency": "EUR",
  "email": "john.smith@example.com",
  "details_submitted": true,
  "capabilities": {
    "card_payments": "active",
    "payouts": "active",
    "blik_payments": "active"
  },
  "livemode": true,
  "requirements": {
    "current_deadline": null,
    "currently_due": [
      "string"
    ],
    "disabled_reason": "action_required.requested_capabilities",
    "errors": [
      {
        "code": "external_request",
        "reason": "string",
        "requirement": "string"
      }
    ],
    "eventually_due": [
      "string"
    ],
    "past_due": [],
    "pending_verification": [
      "string"
    ]
  },
  "business_profile": {
    "name": null,
    "support_email": null,
    "support_phone": null,
    "support_url": null,
    "mcc": 5411,
    "url": "https://www.example.com",
    "annual_revenue": {
      "amount": 1,
      "currency": "EUR",
      "fiscal_year_end": "string"
    },
    "support_address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "monthly_estimated_revenue": {
      "amount": 1,
      "currency": "EUR"
    },
    "product_description": null,
    "estimated_worker_count": null
  },
  "business_type": "company",
  "company": {
    "address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "directors_provided": true,
    "executives_provided": true,
    "name": null,
    "owners_provided": true,
    "phone": null,
    "registration_number": null,
    "registration_date": {
      "day": 1,
      "month": 1,
      "year": 1000
    },
    "structure": "multi_member_llc",
    "tax_id": null,
    "tax_id_provided": true,
    "tax_id_registrar": "string",
    "vat_id": null,
    "vat_id_provided": true,
    "directorship_declaration": {
      "date": "2026-10-02T06:37:26.639Z",
      "ip": "string",
      "user_agent": "string"
    },
    "ownership_declaration": {
      "date": "2026-10-02T06:37:26.639Z",
      "ip": "string",
      "user_agent": "string"
    },
    "representative_declaration": {
      "date": "2026-10-02T06:37:26.639Z",
      "ip": "string",
      "user_agent": "string"
    }
  },
  "tos_acceptance": {
    "date": "2026-10-02T06:37:26.639Z",
    "ip": "string",
    "user_agent": "string",
    "service_agreement": "string"
  },
  "metadata": {
    "additionalProperty": "string"
  }
}